User overview
curl --request GET \
--url https://api.hypedexer.com/users/{user}/overview \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/users/{user}/overview"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/users/{user}/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "User overview",
"data": {
"user": "0x010461c14e146ac35fe42271bdc1134ee31c703a",
"total_volume": 28668931644.779255,
"total_fees": 0,
"fill_count": 118677548,
"unique_coins": 219,
"total_pnl": 385654.1705359991,
"total_trades": 85944,
"total_priority_gas": 0,
"last_activity": "2026-09-19T07:10:25",
"win_rate": 0.6571372056222656
},
"total_count": null,
"execution_time_ms": 1176.44,
"next_cursor": null,
"has_more": null
}Users
User overview
Aggregated user overview. Response includes total_priority_gas: the sum of all priority fees paid by this user (only fills where priorityGas > 0).
GET
/
users
/
{user}
/
overview
User overview
Authorizations
Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.